.\"	$NetBSD: wsfontload.8,v 1.23 2003/10/21 14:43:23 drochner Exp $
.\"
.\" Copyright (c) 1999, 2001
.\" 	Matthias Drochner.  All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.Dd May 4, 2003
.Dt WSFONTLOAD 8
.Os
.Sh NAME
.Nm wsfontload
.Nd "load a font bitmap into the wsfont pool or a wscons display device"
.Sh SYNOPSIS
.Nm
.Bk -words
.Op Fl f Ar wsdev
.Ek
.Bk -words
.Op Fl w Ar width
.Ek
.Bk -words
.Op Fl h Ar height
.Ek
.Bk -words
.Op Fl e Ar encoding
.Ek
.Bk -words
.Op Fl N Ar name
.Ek
.Bk -words
.Op Fl b
.Ek
.Bk -words
.Op Fl B
.Ek
.Bk -words
.Op Fl v
.Ek
.Op Ar fontfile
.Sh DESCRIPTION
The
.Nm
utility loads a font bitmap into the wsfont font pool
(or a wscons device if the device driver supports this).
The font gets assigned a name in this process which it can be referred to
by later for use on a display screen.
The font is loaded from the specified
.Ar fontfile ,
or from standard input if
.Ar fontfile
is not provided.
.Pp
The options are:
.Bl -tag -width xxxxxxxxxxx
.It Fl f Ar wsdev
Specify the device to operate on.
Default is
.Pa /dev/wsfont .
.It Fl w Ar width
Sets the width of a font character in pixels.
Default is 8.
.It Fl h Ar height
Sets the height of a font character in pixels.
Default is 16.
.It Fl e Ar encoding
Sets the encoding of the font.
This can be either a symbolic abbreviation or a numeric value.
Currently recognized abbreviations are
.Ql iso
for ISO-8859-1 encoding,
.Ql ibm
for IBM encoded fonts and
.Ql pcvt
for the custom encoding of the supplemental fonts which came with
the
.Bx
.Dq pcvt
console driver.
Per default,
.Ql iso
is assumed.
.It Fl N Ar name
Specifies a name which can be used later to refer to the font.
If none is given, the
.Ar fontfile
name is used to create one.
.It Fl b
Specifies that the font data is ordered right-to-left bit wise.
The default is left-to-right.
.It Fl B
Specifies that the font data is ordered right-to-left byte wise.
The default is left-to-right.
.It Fl v
Prints the font's properties before loading it.
.El
.Pp
Typically, the
.Nm
utility will be executed in system startup by the
.Pa /etc/rc.d/wscons
script, controlled by the
.Pa /etc/wscons.conf
configuration file.
.Sh FILES
.Pa /etc/wscons.conf
.Pa /usr/share/wscons/fonts
.Sh EXAMPLES
.Dl wsfontload -N myname -h 8 -e ibm /usr/share/wscons/fonts/vt220l.808
.Pp
Load the IBM-encoded 8\(mu8-font from the
.Xr wscons 4
distribution. This (or another 8\(mu8-font) is necessary to use the
50-line screen type on
.Xr vga 4
displays.
.Pp
.Dl wsfontload -N orator -e ibm /usr/share/wscons/fonts/orator.816
.Dl wsconsctl -dw font=orator
.Pp
Load the
.Dq orator
IBM-encoded 8\(mu16 font and switch the first console screen
(ttyE0, wsconsctl's default) to this alternate font.
.Sh SEE ALSO
.Xr wscons 4 ,
.Xr wsconscfg 8 ,
.Xr wsconsctl 8
.Sh BUGS
Many features are missing.
.Pp
There is no way to remove a loaded font.
